Bug 1419880 - [abrt] pgadmin3: wxStringBase::GetStringData(): pgadmin3 killed by SIGSEGV
Summary: [abrt] pgadmin3: wxStringBase::GetStringData(): pgadmin3 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin3
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:40a0b00309caca90d932b2138f1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 10:13 UTC by Maxim Shelekhov
Modified: 2017-12-12 10:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:27:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.83 KB, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: core_backtrace (13.43 KB, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: dso_list (11.62 KB, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: environ (1.67 KB, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: maps (59.56 KB, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: mountinfo (5.07 KB, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: open_fds (790 bytes, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details
File: var_log_messages (244 bytes, text/plain)
2017-02-07 10:13 UTC, Maxim Shelekhov
no flags Details

Description Maxim Shelekhov 2017-02-07 10:13:23 UTC
Description of problem:
I tried to change column type from "character variying" to "text" (if that is important) and pressed "ok" when application crashed. 

Version-Release number of selected component:
pgadmin3-1.22.1-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
crash_function: wxStringBase::GetStringData
executable:     /usr/bin/pgadmin3
global_pid:     32499
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wxStringBase::GetStringData at /usr/include/wx-2.8/wx/string.h:265
 #1 wxStringBase::~wxStringBase at /usr/include/wx-2.8/wx/string.h:396
 #2 wxString::~wxString at /usr/include/wx-2.8/wx/string.h:659
 #3 pgColumn::~pgColumn at schema/pgColumn.cpp:31
 #5 wxGenericTreeItem::~wxGenericTreeItem at src/generic/treectlg.cpp:611
 #6 wxGenericTreeItem::DeleteChildren at src/generic/treectlg.cpp:630
 #8 wxGenericTreeCtrl::DeleteChildren at src/generic/treectlg.cpp:1698
 #9 frmMain::Refresh at frm/frmMain.cpp:582
 #10 dlgProperty::ShowObject at dlg/dlgProperty.cpp:832
 #11 dlgProperty::apply at dlg/dlgProperty.cpp:947

Potential duplicate: bug 1294828

Comment 1 Maxim Shelekhov 2017-02-07 10:13:29 UTC
Created attachment 1248349 [details]
File: backtrace

Comment 2 Maxim Shelekhov 2017-02-07 10:13:30 UTC
Created attachment 1248350 [details]
File: cgroup

Comment 3 Maxim Shelekhov 2017-02-07 10:13:32 UTC
Created attachment 1248351 [details]
File: core_backtrace

Comment 4 Maxim Shelekhov 2017-02-07 10:13:34 UTC
Created attachment 1248352 [details]
File: dso_list

Comment 5 Maxim Shelekhov 2017-02-07 10:13:35 UTC
Created attachment 1248353 [details]
File: environ

Comment 6 Maxim Shelekhov 2017-02-07 10:13:36 UTC
Created attachment 1248354 [details]
File: exploitable

Comment 7 Maxim Shelekhov 2017-02-07 10:13:38 UTC
Created attachment 1248355 [details]
File: limits

Comment 8 Maxim Shelekhov 2017-02-07 10:13:40 UTC
Created attachment 1248356 [details]
File: maps

Comment 9 Maxim Shelekhov 2017-02-07 10:13:42 UTC
Created attachment 1248357 [details]
File: mountinfo

Comment 10 Maxim Shelekhov 2017-02-07 10:13:43 UTC
Created attachment 1248358 [details]
File: namespaces

Comment 11 Maxim Shelekhov 2017-02-07 10:13:44 UTC
Created attachment 1248359 [details]
File: open_fds

Comment 12 Maxim Shelekhov 2017-02-07 10:13:46 UTC
Created attachment 1248360 [details]
File: proc_pid_status

Comment 13 Maxim Shelekhov 2017-02-07 10:13:47 UTC
Created attachment 1248361 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 15:14:34 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:27:59 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.